#!/bin/sh

if [[ $# -eq 0 ]]
then
  venv/bin/python -u opaque.py
elif [[ $1 == "--migrate" ]]
  then
    echo Migrating changes.
    venv/bin/python -m flask db migrate
    venv/bin/python -m flask db upgrade
else
  if [[ $1 == "--setup-database" ]]
  then
    echo Initial setup of database.
    venv/bin/python -m flask db init
    venv/bin/python -m flask db upgrade
    venv/bin/python -m flask insert-initial-database-entries
  fi
fi
